Bug Hunting Session
Bug 112551 - Will not connect to odb file on MacOS - displays a "need JRE" message, but won't recognize either AppleJavaforOSX(1.6) or current Oracle JDK
Summary: Will not connect to odb file on MacOS - displays a "need JRE" message, but wo...
Status: RESOLVED DUPLICATE of bug 100501
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.3.6.1 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks: Java-Runtime-JRE
  Show dependency treegraph
 
Reported: 2017-09-21 13:39 UTC by ambimom
Modified: 2017-10-06 09:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Java160 (193.22 KB, image/jpeg)
2017-09-21 19:02 UTC, ambimom
Details
jre (49.06 KB, image/jpeg)
2017-09-21 19:03 UTC, ambimom
Details
database file (47.83 KB, application/vnd.oasis.opendocument.database)
2017-09-21 19:11 UTC, ambimom
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ambimom 2017-09-21 13:39:20 UTC
Description:
Switched from PC to MacOS Sierra.  Loaded LibreOffice for Mac.  Tried to open long-term odb database file.  LibreOffice said it could not connect to it, asked for legacy Java6, but when tried to install Java6 would not recognize it.  

Steps to Reproduce:
1.click on file
2.
3.

Actual Results:  
The file is not opened.

Expected Results:
The table should be visible; it should be able to be edited, amended, manipulated, a report should be able to be generated according to the new information added.


Reproducible: Always

User Profile Reset: No 

Additional Info:
This is not a user profile issue; it is a software compatibility issue.  All odt, ott files created on PC open; it's only the odb files which are rendered useless.


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.91 Safari/537.36 Vivaldi/1.93.955.36
Comment 1 Julien Nabet 2017-09-21 13:51:15 UTC
Please give a try to a recent LO version, last stable on is 5.3.6 (or even 5.4.1).

3.X, 4.X, 5.1.X, 5.2.X are EOL.

Since there's only LO 64 bits now, you need a Java 64 bits.
Comment 2 Alex Thurgood 2017-09-21 14:54:30 UTC
@ambimom : you need a full Oracle JDK (as mentioned in reply to your previous Twitter post on the subject) and not just a JRE.

You reported this bug against LibreOffice 3.6, but that version is obsolete, unless you meant LibreOffice 5.3.6 (which is current) ?

*** This bug has been marked as a duplicate of bug 101956 ***
Comment 3 ambimom 2017-09-21 15:06:44 UTC
Listen folks, I've tried every single combination of jdk, jre, followed every piece of advice given on every single website regarding the java issues.

I've installed, and uninstalled.

Macos Sierra does not install runtime environments period.  It will install parts of java -- the minimum, but 64bit, 32 bit, latest, legacy, I've installed and tried all of them.  NOTHING opens an odb file.

I appreciate everyone's helpful suggestions, but I assure you I've tried them all.  This is a genuine bug in MacOs Sierra and LibreOffice compatibility in regard to BASE in this instance.  Frankly, there is another bug in Writer (it only prints landscape) but that is addressed in another bug report.
Comment 4 Julien Nabet 2017-09-21 15:39:03 UTC
First, could you confirm your LO version? If it was a typo and you meant 5.3.6, ok.
If not, please upgrade.

Then the pb with Java, especially on MacOs is you must be sure everything has been removed and there are different locations to check.

I find these links to remove every Java parts:
https://www.howtogeek.com/230145/how-to-uninstall-java-on-mac-os-x/
https://www.stugon.com/completly-uninstall-java-mac/
(beginning seems the same then they point towards different locations)

So you'll need Java 64 bits (since LO on MacOS is 64 bits only now), + JDK (according to Alex, LO MacOs needs JDK not the jre only).


Alex: put you in cc if you want to add something.
Comment 5 ambimom 2017-09-21 16:10:30 UTC
Trust me, I'm not a newbie or a dope.  I know my way around the terminal (thanks to Linux). I know you're trying to be helpful and make sure I've explored all possibilities but when I say I've done it all.. I have.

5.3.6 is the version
also 5.4.1
also various earlier versions as recommended by various posters alleging solutions...

As for removing java....did that too!  Removed it all completely, as a matter of fact.  So completely, btw, had to reinstall the entire MacOs Sierra operating system from scratch (thanks applecare!) because Mac no longer performed correctly.  That little episode took 5 1/2 hours to reload my system.

MacOS Sierra does not load jdk or jre.  It does have a Java component but it is the barest minimum.

I will not respond any further.  This is a genuine bug.  The problem with Writer portion of LibreOffice is also a genuine bug.
Comment 6 ambimom 2017-09-21 16:15:59 UTC
Oh and for the record, I've uninstalled any and all versions of LibreOffice that I tried on my Mac. Instead I've installed the latest Mac version of Open Office which, at least, prints documents portrait, so it probably can be adjusted in LibreOffice at some future date if someone deals with that bug.  Open Office also doesn't recognize odb files (probably because of the same java issue), but I will have to get a Windows PC to manipulate my database until this bug is dealt with (or not.)
Comment 7 Julien Nabet 2017-09-21 16:42:08 UTC
Since you won't respond again and are the only one (at least known) to get this specific bug, I'll put it as WFM.
Anyone who can reproduce this specific bug can obviously reopen it if he/she wants but no need to let this tracker rot.
Comment 8 Alex Thurgood 2017-09-21 16:42:54 UTC
Changing version affected as provided by bug reporter.
Comment 9 Alex Thurgood 2017-09-21 16:51:04 UTC
@ambimom : the problem is that you appear to be the only person affected by the behaviour you are experiencing.

I have Mac OSX 10.12.6 and LibreOffice 5.6.3.1 and 5.4.1.2 (and several older variants of LO as well) on a MacbookPro.

For the record, in case it is of any help :

- I have AppleJavaforOSX (2015 DMG version)
- Oracle JDK 1.8.0_121
- Oracle JDK 1.8.0_102

The AppleJavaforOSX DMG was installed because I have a few Java apps that will only run with a Java 1.6. This is not recognized by current versions of LibreOffice (since 5.1.x).

The two other JDKs are picked up automatically when I look under LibreOffice > Preferences > Advanced.

There's not much else I can say, except that I don't have issues opening ODB files on my setup, other than the already known (and sometimes rather annoying) Base bugs, some of which are Mac specific (unfortunately).
Comment 10 Julien Nabet 2017-09-21 16:59:29 UTC
Alex: of course, it'd be interesting to have the odb file but I suppose it must contain confidential/private things
Comment 11 ambimom 2017-09-21 18:18:43 UTC
I'm not the only person with this problem:
https://ask.libreoffice.org/en/question/84804/libreoffice-5242-base-imac-error-no-jre-despite-installing-oracle-jdk/

In the meantime, just to confirm my previous...I've installed the Download Java for OS X 2015-001.  No change.

next I am going to install the jdk-8u144-macos-x64.dmg, which I've also done in the past.
Comment 12 ambimom 2017-09-21 18:33:32 UTC
still no change....cannot connect to odb file

I've installed all your suggestions . AGAIN and still nothing. The JDK listed under the Preferences/Java is 1.8.0_144
Comment 13 Julien Nabet 2017-09-21 18:49:54 UTC
Since you reopened this tracker, I suppose you're ready to respond again. Could you use your pc (since it doesn't open on Mac), remove any confidential/private part and attach the odb here so we can give it a try? (you can use this link: https://bugs.documentfoundation.org/attachment.cgi?bugid=112551&action=enter)

BTW, what's the db used on your odb file? hsql embedded or other?

Also, what have you got in tools/options/advanced? What Java version is indicated used?
Comment 14 Julien Nabet 2017-09-21 18:52:20 UTC
Forget my last question, I had read your before last comment.
Comment 15 ambimom 2017-09-21 19:02:10 UTC
Created attachment 136437 [details]
Java160

My final...I really mean it....comment...

 a pic of the legacy 1.6.0. jdk...Please note that there is no jre in Home...which is where it should appear.  

A pic of the jdk1.8.0_144...Please note the jre under Home
Comment 16 ambimom 2017-09-21 19:03:09 UTC
Created attachment 136438 [details]
jre

My final...I really mean it....comment...

 a pic of the legacy 1.6.0. jdk...Please note that there is no jre in Home...which is where it should appear.  

A pic of the jdk1.8.0_144...Please note the jre under Home
Comment 17 Julien Nabet 2017-09-21 19:06:55 UTC
we need odb, no a screenshot.
I give up.
Comment 18 ambimom 2017-09-21 19:11:10 UTC
Created attachment 136440 [details]
database file

There's nothing confidential...it's just a file of all the audiovisual materials I've consumed over 20 odd years
Comment 19 Alex Thurgood 2017-09-22 08:59:14 UTC
Clearly the posted ODB file won't work without the corresponding DBF file :

L'URL 'file:///Users/alex/Downloads/Open%20Office%20Database' n'est pas valide. Une connexion ne peut pas être créée.


When I load the ODB file posted in LO5412 on my MBPro OSX 10.12.6, the file loads, but an attempt to view the tables gives the above error message.

The ODB file definition points to a DBF database as the underlying data source.

However, I don't get a "missing JRE message", which is what the initial report is about.



@ambimom : if you are still following, could you provide your hardware ? (It probably isn't a hardware problem, although the Ask thread that you reference seems to refer to iMac users having a problem rather than other Mac hardware).
Comment 20 Alex Thurgood 2017-09-22 09:16:23 UTC
(In reply to ambimom from comment #16)
> Created attachment 136438 [details]
> jre
> 
> My final...I really mean it....comment...
> 
>  a pic of the legacy 1.6.0. jdk...Please note that there is no jre in
> Home...which is where it should appear.  

That is Apple's fault, not LibreOffice's.

> 
> A pic of the jdk1.8.0_144...Please note the jre under Home

Did you try and point LibreOffice to that folder under :

LibreOffice > Preferences > Advanced > Add

You might possibly have to try 

/jdk.../Contents/Home/jre 

or just

/jdk.../Contents/Home

In my attempts to get this to work with current JDK in older versions of LibreOffice (3.x, 4.x) on a Macmini, none of them were successful, but that is a known limitation as reported in bug 101956.
Comment 21 ambimom 2017-09-22 13:49:35 UTC
Hardware:

IMac (21.5k-inch, 2017)
Processor 2.3 GHz Intel Core i5
Memory 8GB 2133 MHz DDR4
Intel Iris Plus Graphics 640 1536 MB

MacOS Sierra Version 10.12.6
Apple Bluetooth keyboard and mouse
Comment 22 Alex Thurgood 2017-09-26 07:00:14 UTC
Without an iMac from a QA member to test on, this will remain unconfirmed.
Comment 23 wrcam1531-libreoffice 2017-09-26 18:37:28 UTC
I can confirm that the problem exists on my brand-new iMac Retina 5K 27" 2017 running macOS Sierra 10.12.6. I am not able to run Base. I have downloaded and installed the latest JDK for macOS (jdk-9_osx-x64_bin.dmg) from Oracle's Java website. After doing so, I did not find a "jre" subfolder in /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/ (as I did on my Late 2012 iMac on which I have been running Base for several years, most recently with jdk1.8.0_74). In LibreOffice > Preferences > Advanced, I checked "Use a Java runtime environment", but no JRE was listed below under "Vendor/Version/Features."

I then downloaded the latest JRE for macOS (jre-9_osx-x64_bin.dmg) from Oracle's website and ran that installer. Still no "jre" subfolder in /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/, where it should be, and still no JRE listed in LO > Preferences > Advanced. Apparently, Oracle's installer installs the JRE to support Java applets in web browsers, but not to support applications. 

Next, I downloaded jre-9_osx-x64_bin.tar.gz and uncompressed it. This yielded a folder named "jre-9.jre". I copied this folder to /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/ and renamed it "jre". In LO > Preferences > Advanced, I clicked "Add", navigated to /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/jre/, and clicked OK. LibreOffice displayed this message:

The Java runtime environment you selected is not the required version.
Please select a different folder.

JDK 9 is the latest offered by Oracle, yet LibreOffice does not seem to recognize it. What further diagnosis can I perform?

Thanks!
Comment 24 ambimom 2017-09-26 18:53:05 UTC
(In reply to wrcam1531-libreoffice from comment #23)
> I can confirm that the problem exists on my brand-new iMac Retina 5K 27"
> 2017 running macOS Sierra 10.12.6. I am not able to run Base. I have
> downloaded and installed the latest JDK for macOS (jdk-9_osx-x64_bin.dmg)
> from Oracle's Java website. After doing so, I did not find a "jre" subfolder
> in /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/ (as I did on
> my Late 2012 iMac on which I have been running Base for several years, most
> recently with jdk1.8.0_74). In LibreOffice > Preferences > Advanced, I
> checked "Use a Java runtime environment", but no JRE was listed below under
> "Vendor/Version/Features."
> 
> I then downloaded the latest JRE for macOS (jre-9_osx-x64_bin.dmg) from
> Oracle's website and ran that installer. Still no "jre" subfolder in
> /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/, where it should
> be, and still no JRE listed in LO > Preferences > Advanced. Apparently,
> Oracle's installer installs the JRE to support Java applets in web browsers,
> but not to support applications. 
> 
> Next, I downloaded jre-9_osx-x64_bin.tar.gz and uncompressed it. This
> yielded a folder named "jre-9.jre". I copied this folder to
> /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/ and renamed it
> "jre". In LO > Preferences > Advanced, I clicked "Add", navigated to
> /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/jre/, and clicked
> OK. LibreOffice displayed this message:
> 
> The Java runtime environment you selected is not the required version.
> Please select a different folder.
> 
> JDK 9 is the latest offered by Oracle, yet LibreOffice does not seem to
> recognize it. What further diagnosis can I perform?
> 
> Thanks!

Thank you for confirming. I don't feel I'm the only one anymore. Just curious if you've tried to print LibreOffice Writer document yet?  Does it only print landscape?
Comment 25 wrcam1531-libreoffice 2017-09-26 19:15:49 UTC
True...LibreOffice Writer documents print only in Landscape orientation, even when page format is set to Portrait.
Comment 26 wrcam1531-libreoffice 2017-09-26 19:47:55 UTC
Same thing happens with Print in LibreOffice Calc.
Comment 27 Alex Thurgood 2017-09-27 11:03:46 UTC
(In reply to ambimom from comment #24)


> Thank you for confirming. I don't feel I'm the only one anymore. Just
> curious if you've tried to print LibreOffice Writer document yet?  Does it
> only print landscape?

This is a separate, and already known bug : bug 92190

Please do not add comments about that here, as it just confuses the issue for any devs who might want to look at this bug report.
Comment 28 Alex Thurgood 2017-09-27 11:07:05 UTC
(In reply to wrcam1531-libreoffice from comment #23)

Thanks for the detailed report.

The error message with Java9 could be, as has occurred in the past, a known version recognition problem.



Could I ask you to try and install a Java 8 JDK from Oracle to see whether that is recognized ? If it is, then that would hint at a recurrence within our code of a Java version number recognition problem.


CONFIRMING nonetheless.
Comment 29 Alex Thurgood 2017-09-27 11:08:12 UTC
@Stephan : seems like the version recognition issue has come back yet again with Java9 JDK.
Comment 30 Alex Thurgood 2017-09-28 11:28:08 UTC
See also bug 117716 confirming that Oracle JDK9 is not recognized automatically, nor does it seem to contain a JRE.

Installing the separately proposed Oracle JRE9 is also not recognized by LO.
Comment 31 Alex Thurgood 2017-09-28 15:59:51 UTC
A fix has been entered for current development builds, where Java 9 is automatically recognized and should be fixed in future releases 5.3.7 and 5.4.2
Comment 32 Alex Thurgood 2017-09-28 16:02:20 UTC
I can open ODB files on my daily build from master, Java 9 is recognized automatically under LibreOffice > Preferences > Advanced > Java

*** This bug has been marked as a duplicate of bug 100501 ***